<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Bladeburner](./bitburner.bladeburner.md) &gt; [getSkillUpgradeCost](./bitburner.bladeburner.getskillupgradecost.md)

## Bladeburner.getSkillUpgradeCost() method

Get cost to upgrade skill.

**Signature:**

```typescript
getSkillUpgradeCost(skillName: string, count?: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  skillName | string | Name of skill. Case-sensitive and must be an exact match. |
|  count | number | _(Optional)_ Number of times to upgrade the skill. Defaults to 1 if not specified. |

**Returns:**

number

Number of skill points needed to upgrade the specified skill.

## Remarks

RAM cost: 4 GB

This function returns the number of skill points needed to upgrade the specified skill the specified number of times.

The function returns -1 if an invalid skill name is passed in.

